For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETList agent branches
            • POSTCreate agent branch
            • GETGet agent branch
            • PATCHUpdate agent branch
            • POSTMerge agent branch
          • POSTCreate agent
          • GETGet agent
          • GETList agents
          • PATCHUpdate agent
          • DELDelete agent
          • POSTDuplicate agent
          • GETGet link
          • POSTSimulate conversation
          • POSTStream simulate conversation
          • POSTCalculate expected LLM usage
          • GETGet agent summaries
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceAgentsBranches

Update agent branch

PATCH
/v1/convai/agents/:agent_id/branches/:branch_id
PATCH
/v1/convai/agents/:agent_id/branches/:branch_id
$curl -X PATCH https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "name": "name",
4 "agent_id": "agent_id",
5 "description": "description",
6 "created_at": 1,
7 "last_committed_at": 1,
8 "is_archived": true,
9 "protection_status": "writer_perms_required",
10 "access_info": {
11 "is_creator": true,
12 "creator_name": "John Doe",
13 "creator_email": "john.doe@example.com",
14 "role": "admin",
15 "anonymous_access_level_override": "admin",
16 "access_source": "creator"
17 },
18 "current_live_percentage": 1.1,
19 "parent_branch": {
20 "id": "id",
21 "name": "name"
22 },
23 "most_recent_versions": [
24 {
25 "id": "id",
26 "agent_id": "agent_id",
27 "branch_id": "branch_id",
28 "version_description": "version_description",
29 "seq_no_in_branch": 1,
30 "time_committed_secs": 1,
31 "parents": {},
32 "access_info": {
33 "is_creator": true,
34 "creator_name": "John Doe",
35 "creator_email": "john.doe@example.com",
36 "role": "admin",
37 "access_source": "creator"
38 }
39 }
40 ]
41}
Update agent branch properties such as archiving status and protection level
Was this page helpful?
Previous

Merge agent branch

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.
branch_idstringRequired
Unique identifier for the branch.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringOptional1-140 characters
New name for the branch. Must be unique within the agent.
is_archivedbooleanOptional
Whether the branch should be archived
protection_statusenumOptionalDefaults to writer_perms_required
The protection level for the branch
Allowed values:

Response

Successful Response
idstring
namestring
agent_idstring
descriptionstring
created_atinteger
last_committed_atinteger
is_archivedboolean
protection_statusenumDefaults to writer_perms_required
Allowed values:
access_infoobject
Access information for the branch
current_live_percentagedoubleDefaults to 0
Percentage of traffic live on the branch
parent_branchobject
Parent branch of the branch
most_recent_versionslist of objects
Most recent versions on the branch

Errors

422
Branches Update Request Unprocessable Entity Error